import { a3 as p, w as n, W as f, bX as S, dr as g, a5 as o, cf as x, cg as w, P as c, fs as C, aG as $, ad as r, I as u, am as i, ae as t, af as a, c0 as V, ag as v, a4 as m, H as l, aC as b, cR as y, ft as P, dC as k, ak as d, fu as I } from "./56c67d3b.js";
import { useContext as s } from "react";
import "react-dom";
const F = (e, h) => b`
    &.ant-slider:not(.ant-slider-disabled) {
      &,
      &:hover,
      &:focus {
        .ant-slider-rail {
          background-color: ${e.track};
        }
        .ant-slider-track {
          background-color: ${e.fill};
        }
        .ant-slider-handle {
          background-color: ${e.thumb};
          border-color: ${e.thumbBorder};
        }
      }
      &:hover {
        .ant-slider-rail {
          background-color: ${y(e.track, 0.1)};
        }
      }
      .ant-slider-handle:focus {
        box-shadow: 0 0 0 5px ${P(y(e.thumbBorder, 0.08), 0.12)};
      }
      .ant-slider-handle::after {
        box-shadow: 0 0 0 2px ${k(e.thumbBorder, 0.1)};
      }
      .ant-slider-handle:hover,
      .ant-slider-handle:active,
      .ant-slider-handle:focus {
        &::after {
          box-shadow: 0 0 0 5px ${e.thumbBorder};
        }
      }
      ${h && b`
        width: auto;	
        min-height: calc(300px - ${e.margin});
        margin: ${e.margin} auto !important;
      `}
    }
  `, M = p(I)`
  ${(e) => e.$style && F(e.$style, e.$vertical)}
`, H = p.div`
  width: 100%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  .ant-slider {
    width: 100%;
  }
`, L = {
  max: n(d, "100"),
  min: n(d, "0"),
  step: n(d, "1"),
  label: f,
  disabled: S,
  onEvent: g,
  style: o(x, "style"),
  labelStyle: o(w.filter((e) => ["accent", "validate"].includes(e.name) === !1), "labelStyle"),
  prefixIcon: c,
  suffixIcon: c,
  inputFieldStyle: o(C, "inputFieldStyle"),
  animationStyle: o($, "animationStyle")
}, N = (e) => /* @__PURE__ */ r(u, {
  children: [["logic", "both"].includes(s(i).editorModeStatus) && /* @__PURE__ */ r(t, {
    name: a.interaction,
    children: [e.onEvent.getPropertyView(), V(e), v(e)]
  }), ["layout", "both"].includes(s(i).editorModeStatus) && e.label.getPropertyView(), ["layout", "both"].includes(s(i).editorModeStatus) && /* @__PURE__ */ r(u, {
    children: [/* @__PURE__ */ r(t, {
      name: a.layout,
      children: [e.prefixIcon.propertyView({
        label: m("button.prefixIcon")
      }), e.suffixIcon.propertyView({
        label: m("button.suffixIcon")
      })]
    }), /* @__PURE__ */ l(t, {
      name: a.style,
      children: e.style.getPropertyView()
    }), /* @__PURE__ */ l(t, {
      name: a.labelStyle,
      children: e.labelStyle.getPropertyView()
    }), /* @__PURE__ */ l(t, {
      name: a.inputFieldStyle,
      children: e.inputFieldStyle.getPropertyView()
    }), /* @__PURE__ */ l(t, {
      name: a.animationStyle,
      hasTooltip: !0,
      children: e.animationStyle.getPropertyView()
    })]
  })]
});
export {
  L as SliderChildren,
  N as SliderPropertyView,
  M as SliderStyled,
  H as SliderWrapper
};
